/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { SolarSystemObjectName } from './solar-system-object-name';

/**
 * 
 * @export
 * @interface SpecialCoordinates
 */
export interface SpecialCoordinates {
    /**
     * 
     * @type {string}
     * @memberof SpecialCoordinates
     */
    'kind'?: SpecialCoordinatesKindEnum;
    /**
     * 
     * @type {string}
     * @memberof SpecialCoordinates
     */
    'reference_frame'?: string;
    /**
     * 
     * @type {SolarSystemObjectName}
     * @memberof SpecialCoordinates
     */
    'name': SolarSystemObjectName;
}

export const SpecialCoordinatesKindEnum = {
    Sso: 'sso',
    Special: 'special'
} as const;

export type SpecialCoordinatesKindEnum = typeof SpecialCoordinatesKindEnum[keyof typeof SpecialCoordinatesKindEnum];


